# Interface InputJson

The input objects specified by the definitionEditor. See https://developers.arcgis.com/web-map-specification/objects/input/ https://developers.arcgis.com/web-scene-specification/objects/input/.

interface InputJson {
hint?: string;
parameters?: ParameterJson[];
prompt?: string;
}

#####
Index

### Properties

hint?
parameters?
prompt?

##
Properties

### `Optional` hint

hint?: string

A string value representing a hint for the input.

### `Optional` parameters

parameters?: ParameterJson[]

An array of parameter objects.

### `Optional` prompt

prompt?: string

A string value representing the prompt for the input.